package main

import (
	"fmt"
	"net/http"
)

func okHandler(w http.ResponseWriter, r *http.Request) {
	w.WriteHeader(http.StatusOK)
	fmt.Fprintln(w, "OK")
}

func infoHandler(w http.ResponseWriter, r *http.Request) {
	studentInfo := "ФИО: Джурич Михаил Горанович, Номер группы: 712"
	fmt.Fprintln(w, studentInfo)
}

func main() {
	http.HandleFunc("/ok", okHandler)
	http.HandleFunc("/info", infoHandler)

	fmt.Println("Сервер запущен на порту 8080...")
	if err := http.ListenAndServe(":8080", nil); err != nil {
		fmt.Println("Ошибка запуска сервера:", err)
	}
}
